require "timesteps"

class TimeStep::Query
  
  def initialize (timestep, format: nil)
    @timestep = timestep
    @format   = foramt
  end

  def __format__ (time)
    return ( @template.nil? ) ? time : time.strftime(@template)
  end
  
  private :__format__

  def just_time? (time)
    return @timestep.index_at(time).denominator == 1
  end

  def just_before_time_of (time)
    idx = @timestep.index_at(time)
    if idx.denomiator == 1
      time0 = time
    else
      time0 = @timestep.time_at(idx.floor)
    end
    return __format__(time0)
  end

  def just_after_time_of (time)
    idx = @timestep.index_at(time)
    if idx.denomiator == 1
      time0 = time
    else
      time0 = @timestep.time_at(idx.ceil)
    end
    return __format__(time0)
  end

  def prev_time_of (time)
    return __format__(@timestep.prev_time_of(time))
  end

  def next_time_of (time)
    return __format__(@timestep.next_time_of(time))
  end
  
end

