# -*- encoding: utf-8 -*-
# stub: timesteps 0.9.9 ruby lib

Gem::Specification.new do |s|
  s.name = "timesteps".freeze
  s.version = "0.9.9"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Hiroki Motoyoshi".freeze]
  s.date = "2020-07-23"
  s.description = "  A library for time conversion and intercomparison of multiple time series data \n  in the case of handling time series data of the type that specifies the time using \n  indexes of time steps since origin time. It handles time units notation like \n  \"hours since 2001-01-01 00:00:00\", which is originate from udunits library and \n  also is used in CF-convension of NetCDF. The main purpose of this library is to \n  describe the time axis when dealing with time series of observational data and climate data.\n".freeze
  s.email = "".freeze
  s.homepage = "https://github.com/himotoyoshi/timesteps".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.1".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A library for handling discrete time series in constant increments".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
